package model

type Card struct {
	Color string
	Value []int
	Name string
	Visible bool
}

func NewCard(color string, name string, value []int, visible bool) *Card {
	return &Card{
		Color: color, 
		Value: value,
		Name: name,
		Visible: visible,
	}
}

func (card *Card) Flip() *Card {
	card.Visible = !card.Visible
	return card
}
